Skip to main content
GET
/
identity_profiles
List identity profiles
curl --request GET \
  --url https://api.whop.com/api/v1/identity_profiles \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/identity_profiles"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/identity_profiles', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "business_address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "business_name": "<string>",
      "business_structure": "<string>",
      "country": "<string>",
      "created_at": "2023-12-01T05:00:00.401Z",
      "date_of_birth": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "id": "idpf_xxxxxxxxxxxxx",
      "last_name": "<string>",
      "linked_companies": [
        {
          "id": "biz_xxxxxxxxxxxxxx",
          "title": "Pickaxe"
        }
      ],
      "personal_address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "phone": "<string>",
      "profile_type": "<string>",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "verifications": [
        {
          "created_at": "2023-12-01T05:00:00.401Z",
          "id": "verf_xxxxxxxxxxxxx",
          "last_error_reason": "Document image was too blurry to read.",
          "session_url": "https://verify.stripe.com/session/abc123"
        }
      ]
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
  "error": {
    "code": "parameter_missing",
    "message": "Missing required parameter: amount.",
    "param": "amount",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "message": "Invalid or missing API key",
    "type": "unauthorized"
  }
}
{
  "error": {
    "message": "You do not have permission to access this resource",
    "type": "forbidden"
  }
}
{
  "error": {
    "message": "Resource not found",
    "type": "not_found"
  }
}
{
  "error": null
}
{
  "error": null
}
{
  "error": {
    "message": "An unexpected error occurred",
    "type": "internal_server_error"
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string | null

The unique identifier of the company to filter to. When omitted, returns IPs across all ledgers the actor can read.

Example:

"biz_xxxxxxxxxxxxxx"

profile_type
enum<string> | null

Filter by profile type (individual or business).

Available options:
individual,
business
status
enum<string> | null

Filter by derived verification status.

Available options:
not_started,
pending,
approved,
rejected

Response

A successful response

The connection type for IdentityProfile.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.